# Uses of Class
org.astrogrid.samp.hub.KeyGenerator

Packages that use KeyGenerator
Package
Description
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.

## Uses of KeyGenerator in org.astrogrid.samp.web

Methods in org.astrogrid.samp.web that return KeyGenerator
Modifier and Type
Method
Description
`static KeyGenerator`
WebHubProfile.`createKeyGenerator()`
Convenience method to return a new key generator suitable for use with a WebHubProfile.
Constructors in org.astrogrid.samp.web with parameters of type KeyGenerator
Modifier
Constructor
Description
``
`WebHubProfile(WebHubProfile.ServerFactory serverFactory, ClientAuthorizer auth, MessageRestriction mrestrict, KeyGenerator keyGen, boolean controlUrls)`
Constructs a profile with configuration options.
``
`WebHubXmlRpcHandler(ClientProfile profile, ClientAuthorizer auth, KeyGenerator keyGen, URL baseUrl, UrlTracker urlTracker)`
Constructor.